/*
 css reset 
*/
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}
body {
  line-height: 1;
}
ol {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/*
custom styling
*/
:root { /* :root means global scoping */
    --screen-background-color: ivory;
    --foreground-color: rgb(236, 218, 252);
    --rating-one: rgb(205, 173, 231);
    --rating-two: rgb(151, 84, 209); 
    --rating-three: rgb(88, 35, 134); 
    --rating-four: rgb(42, 9, 73);
    --rating-five: rgb(23, 0, 43);
}

.hidden{
    display: none;
}

.dot{
    width: 8px;
    height: 8px;
    border-radius: 50%;
    display: inline-block;
    background-color: black;
    margin-top: 10px;
}
ul {
    padding-left: 5%;
}
html{
    background-color: ivory;
    height: 100%;
}
.name{
    font-size: xx-large;
    font-style: italic;
}

.menu{
    width: 80%;
    padding: 5%;
    margin: 5%;
    margin-top: 2%;
    margin-bottom: 8%;
    background-color: var(--foreground-color);
}

.option{
    float: right;
    padding: 0.8%;
    margin-top: 4.5%; /* make it 3.3% to keep it inside */
    margin-left: 2.0%;
    margin-right: 2.0%;
    background-color: var(--foreground-color);
    border: none;
    font-size: medium;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    border-bottom-left-radius: 50%;
    border-bottom-right-radius: 50%;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

button:hover{
    background-color: var(--screen-background-color);
    color: rgb(148, 31, 250);
    
}
button:active{  /* effects on clicking the button */
    background-color: var(--foreground-color);
    color: black;
}
.sectionbody {
    margin-top: 4%;
    margin-left: 8%;
}
img{
    float: left;
    width: 220px;
    height: 220px;
    border-radius: 50%;
}
.myinfo{
    float: right;
    margin-top: 5%;
    margin-right: 10%;
}
.mystatement{
    font-size: larger;

}
.greeting{
    font-size: larger;
}
.nameblank{
    font-family: Georgia, 'Times New Roman', Times, serif;
    margin: 0cm;
    border-style: none;
    border-bottom-style: solid;
    border-bottom-color: black;
    margin-left: 0.6%;
    background-color: var(--screen-background-color);
}

.edctn, .exp, .prjct{
    padding: 1%;
    float: right;
    margin-right: 12%;
    right: 75%;
    width: 40%;
}
.bachelors{
    padding-top: 0%;
}


p{
    line-height: 1.5;
}
.love{
    line-height: 1.5;
    margin-top: 3%;
    margin-left: 30%;
    font-size: 125%;
}
.pushright{
    float: right;
    font-size: 100%;
}
.edheading, .expheading, .projectheading{
    font-size: larger;
}
.skillheading{
    font-size: 120%;
}
.edbody, .expbody, .projectbody{
    font-size: 90%;
    line-height: 1.2;
}
.skillbody{
    margin-top: 3%;
    font-size: 90%;
    line-height: 1.6;
}
.left{
    float: left;
    margin-left: 20%;
    width: 20%;
}
.right{
    float: right;
    margin-right: 10%;
    width: 20%;
}
.skls{
    margin-top: 10%;
    margin-bottom: 10%;
}
.location{
    font-size: 70%;
}

.onerating{
    background-color: var(--rating-one);
}
.tworating{
    background-color: var(--rating-two);
}
.threerating{
    background-color: var(--rating-three);
}
.fourrating{
    background-color: var(--rating-four);
}
.fiverating{
    background-color: var(--rating-five);
}
.projectimage{
    margin-left: 10%;
}
.prjct{
    margin-right: 25%;
    height: 200px;
    margin-bottom: 4%;
}
.projectimage{
    margin-bottom: 4%;
}
.connections{
    margin-top: 8%;
}
.connectimage{
    width: 25px;
    height: 25px;
    border-radius: 50%;
    float: right;
    margin-left: 5%;
}